---
name: Cal Baker
placeholder:
locality:
country: Remote
role: <a href="https://handbook.gitlab.com/job-families/sales/deal-desk/">Manager, Deal Desk</a>
reports_to: jrabbits
picture: cal.baker.png
twitter: 
gitlab: calbaker
departments:
- Sales
- Field Operations
story: ''
